> ## Documentation Index
> Fetch the complete documentation index at: https://utoken-docs.yoostudio.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Native Gemini Format

> 以 Gemini API 格式返回可用模型列表



## OpenAPI

````yaml get /v1beta/models
openapi: 3.1.0
info:
  title: UToken API
  version: 1.0.0
  description: Complete UToken API Reference Documentation
servers:
  - url: https://utoken.yoostudio.ai
    description: Production
security: []
tags:
  - name: Images / Native Gemini Format
  - name: Images / Native OpenAI Format
  - name: Images / Qwen OpenAI Compatible Format
  - name: Realtime Voice
  - name: Content Moderation
  - name: Text Embeddings
  - name: Unimplemented / Fine-tuning
  - name: Unimplemented / File Management
  - name: Models / List Models
  - name: Chat Completions
  - name: Chat Completions / Native Gemini Format
  - name: Chat Completions / Native OpenAI Format
  - name: Text Completions
  - name: Video Generation
  - name: Video Generation / Sora Format
  - name: Video Generation / Jimeng (Dreamina) Format
  - name: Video Generation / Kling AI Format
  - name: Document Reranking
  - name: Audio Processing
  - name: Audio Processing / Native OpenAI Format
paths:
  /v1beta/models:
    get:
      tags:
        - Models / List Models
      summary: Native Gemini Format
      description: Returns list of available models in Gemini API format
      operationId: listmodelsgemini
      parameters: []
      responses:
        '200':
          description: Success - Model List Retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  models:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          examples:
                            - models/gemini-pro
                        version:
                          type: string
                        displayName:
                          type: string
                        description:
                          type: string
                        inputTokenLimit:
                          type: integer
                        outputTokenLimit:
                          type: integer
                        supportedGenerationMethods:
                          type: array
                          items:
                            type: string
                      x-apifox-orders:
                        - name
                        - version
                        - displayName
                        - description
                        - inputTokenLimit
                        - outputTokenLimit
                        - supportedGenerationMethods
                x-apifox-orders:
                  - models
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication
        Format: Authorization: Bearer sk-xxxxxx

````